<?php

namespace App\Models;

use App\Http\Controllers\VeiculoController;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Abastecimento extends Model
{
    use HasFactory;
use SoftDeletes;
    protected $fillable=[
        'veiculo_id',
        'motorista_id',
        'kilometragem',
        'quantidade',
        'valor',
        'posto_abstecimento'
];

    public function motorista()
      {
        return $this->belongsTo(Driver::class);
      }

      public function veiculo()
      {
        return $this->belongsTo(Viatura::class);
      }


}